package com.thebrokenrail.energonrelics.block.entity.reactor;

import com.thebrokenrail.energonrelics.EnergonRelics;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.Item;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class ReactorFuelRegistry {
    private static final Map<Item, Float> map = new HashMap<>();

    private static void add(Item item, float multiplier) {
        map.put(item, multiplier);
    }

    public static float get(Item item) {
        return map.getOrDefault(item, 0f);
    }

    @Environment(EnvType.CLIENT)
    public static Set<Map.Entry<Item, Float>> entrySet() {
        return map.entrySet();
    }

    static {
        add(EnergonRelics.VERIDIUM_INGOT_ITEM, 1f);
        add(EnergonRelics.VERIDIUM_BLOCK_BLOCK.asItem(), 9f);
        add(EnergonRelics.VERIDIUM_POWDER_ITEM, 0.25f);
    }
}
