package com.thebrokenrail.energonrelics.client.rei.infuser;

import com.thebrokenrail.energonrelics.block.entity.infuser.InfuserOutputItem;
import com.thebrokenrail.energonrelics.client.rei.EnergonRelicsPlugin;
import me.shedaniel.rei.api.EntryStack;
import me.shedaniel.rei.api.RecipeDisplay;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.ItemStack;
import net.minecraft.util.Identifier;

import java.util.Collections;
import java.util.List;

@Environment(EnvType.CLIENT)
public class InfuserDisplay implements RecipeDisplay {
    private final EntryStack input;
    private final EntryStack output;
    public final boolean outputsItem;
    public final double successChance;
    public final long cost;

    public InfuserDisplay(ItemStack input, InfuserOutputItem output, double successChance, long cost) {
        this.input = EntryStack.create(input);
        this.output = EntryStack.create(output.stack.copy());
        outputsItem = output.outputsItem;
        this.successChance = successChance;
        this.cost = cost;
    }

    @Override
    public List<List<EntryStack>> getInputEntries() {
        return Collections.singletonList(Collections.singletonList(input));
    }

    @Override
    public List<EntryStack> getOutputEntries() {
        return Collections.singletonList(output);
    }

    @Override
    public Identifier getRecipeCategory() {
        return EnergonRelicsPlugin.INFUSER;
    }

    @Override
    public List<List<EntryStack>> getRequiredEntries() {
        return getInputEntries();
    }
}
